Name:           ladspa-vco-plugins
Version:        0.3.0
Release:        7%{?dist}
Summary:        Anti-aliased pulse and sawtooth oscillators
License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://www.kokkinizita.net/linuxaudio/
Source0:        http://www.kokkinizita.net/linuxaudio/downloads/VCO-plugins-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ladspa-devel
Requires:       ladspa
Obsoletes:      vco-plugins <= 0.3.0-3
Provides:       vco-plugins = %{version}-%{release}

%description
Pulse-VCO : Anti-aliased dirac pulse oscillator (flat amplitude spectrum)
Saw-VCO   : Anti-aliased sawtooth oscillator (1/F amplitude spectrum)
 
Both oscillators are based on the same principle of using a
precomputed interpolated dirac pulse. For the sawtooth version, the
'edge' is made by integrating the anti-aliased pulse. Aliases should
be below -80dB for fundamental frequencies below Fsamp / 6 (i.e. up to
8 kHz at Fsamp = 48 kHz). This frequency range includes the
fundamental frequencies all known musical instruments.


%prep
%setup -q -n VCO-plugins-%{version}
%{__perl} -p -i -e "s|/usr/lib/ladspa|\\\$\(DESTDIR\)%{_libdir}/ladspa|g" Makefile


%build
%{__make} %{?_smp_mflags} CPPFLAGS="$RPM_OPT_FLAGS -fPIC -D_REENTRANT"


%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}/ladspa
%{__make} DESTDIR=%{buildroot} install


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/ladspa/*.so


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.0-6
- Autorebuild for GCC 4.3

* Fri Sep 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.3.0-5
- Various specfile improvements to match the Fedora Packaging Guidelines
- Submit for review for Fedora inclusion

* Sat Nov 19 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.0-4
- changed package name to ladspa-amb-plugins
- change destination dir from /usr/lib/ to %%{_libdir}

* Mon Dec 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.0-3
- added rpm optimization flags

* Sat May  1 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.0-2
- rereleased without ladspa-sdk dependency...

* Fri Apr 30 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.0-1
- updated to 0.3.0

* Wed Dec 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.1-1
- initial build
